Fear me, for I am root

Google Authenticator Plugin: I’m sorry, but it is not possible for you to import an existing shared secret. You must generate a new one.
Me: Really? That’s annoying.
GAP: Yup. Sucks to be you.
Me: Fine. *generates a new secret* Oh, there’s something I ought to tell you.
GAP: Tell me.
Me: I have root access to the database in which the secret is stored. *edits the appropriate entry in the database, thus restoring the previous shared secret*

Leave a Reply

Your email address will not be published. Required fields are marked *